import request from "@/helpers/request";

export const imSendGroupMessage = (data) => {
  return request({
    url: "/imSendGroupMessage/queryPage",
    method: "post",
    requestType: "form",
    data,
  });
};

// 查询群列表
export const queryGroupPage1 = (data) => {
  return request({
    url: "/imSendGroupMessage/queryGroupPage1",
    method: "post",
    requestType: "form",
    data,
  });
};

export const imSendGroupMessageSend = (data) => {
  return request({
    url: "/imSendGroupMessage/send",
    method: "post",
    data,
  });
};

export const imSendGroupMessageDelete = (data) => {
  return request({
    url: "/imSendGroupMessage/delete",
    method: "post",
    requestType: "form",
    data,
  });
};

export const imSendGroupMessageUpdate = (data) => {
  return request({
    url: "/imSendGroupMessage/update",
    method: "post",
    data,
  });
};

// 获取上传信息
export function policy(data) {
  return request({
    method: "post",
    // baseURL: "/api-web",
    url: "/getUploadSign",
    data,
  });
}
